Introduction

EasyZip is an important member of the EasyOffice family that lets you compress (zip) or decompress (unzip) data files.

While hard drives now have large storage capacities, floppy disks are still limited to about 1.4MB. If you want to store, a 3MB text file, on a single floppy disk, you can often do so by zipping it down in size. The zip (compression) process, removes the empty space in the file and stores the data in a more space-efficient manner.

You will also find many zipped files on the Internet. It takes time to transfer files on the Internet, even with high-speed connections. Reducing (zipping) the file size reduces the time needed for download (or upload). It takes one-third the time to transfer a 1MB zipped file, than it does to transfer the original, for example, 3MB file.

If you want to access a zipped file, you must unzip (decompress) it. The unzip process decompresses the file, and returns it to the way it was before compression. Some zipped files have their own built-in unzip software; however, others require you to use an unzip program such as EasyZip.

EasyZip will allow you to easily zip and unzip files:

  • EasyZip files are compatible with industry-standard zip files. If you create a zip file with EasyZip, then someone else using, for example, WinZip, will be able to unzip your file.

  • EasyZip is well integrated with Windows, and will let you right-click on a file to zip it, unzip it, create a self-extracting file or zip, and e-mail the file.

  • EasyZip allows you to create self-extracting files. A self-extracting zip file has the zip program built into it. A zip program, such as EasyZip or WinZip, is not needed to unzip the file. When the self-extracting zip file is double-clicked in Windows, a program within the file will automatically be used to unzip it.

  • EasyZip allows you to password protect your files. If there is confidential information you do not want others to see, creating a password-protected zip file is often a reasonable solution. Although not intended as an encryption system, EasyZip will create fairly good encrypted files. The password-protected zip files created by EasyZip are fully industry-compatible. Another zip program, such as WinZip, can be used to open the file (assuming the correct password is known, of course).

  • EasyZip will compress/decompress GZIP and TAR files. Linux and Unix systems often use these files. If you need to unzip (or zip) such a file, you can do so with EasyZip.

  • EasyZip will encode/decode UU-encoded, Base64 and Quoted-Printable files. Older legacy systems still use UU-encoded files as a means to send binary files. You will be able to decode (and encode if necessary) such files with EasyZip. Older systems or faulty e-mail systems will result in isolated Base64 or Quoted-Printable files. You will be able to decode (and encode if necessary) such files with EasyZip.

  • EasyZip will allow you to view and edit many image formats via EasyImage. If you have a CD-ROM version of EasyOffice with EasyImage included, then EasyZip will allow you to view and edit many common image formats.

  • EasyZip includes EasyZipp.exe which can be run from the command line. You can run EasyZipp.exe from the command line, with many of the same switches used in the command line versions of PKZIP and WinZip. This is useful if you want to include an instruction in a batch file to automatically zip a certain directory. Running from the command line means that the interactive EasyZip program does not appear. Instead, depending on the command line switch settings you specify, EasyZipp.exe will automatically follow your switches (i.e., commands you place on the command line after the word easyzip.exe), and without any user intervention, zip or unzip the files and folders specified.


EasyZip Tutorial

The EasyZip Tutorial guides you through the basic steps of using EasyZip. By default, this tutorial appears each time you start EasyZip in Easy Mode (but not in Advanced Mode).

To view the tutorial at any time, go to the Help menu and click EasyZip Tutorial.

After you become experienced using EasyZip, you will probably not want to see the Tutorial each time you start the program. If you do not want the tutorial to appear each time you start EasyZip, go to the Help menu and un-check Start Tutorial at Startup.


Zipping Files and Folders

Perhaps you have a 3MB text file that you want to take home with you, but a floppy disk holds only 1.4MB. You can zip the file to a smaller size (probably less than 1.4MB), so that it can fit on your floppy disk.

When you zip a file, you compress the file. Empty spaces are removed and the data is stored more efficiently. Zipping files saves space and time - smaller files can be transferred over the Internet in a fraction of the time it would take to transfer the larger original version of the file.

To zip a file in Easy Mode:

  1. Start the EasyZip program.

  2. You will be asked what you want to do. Check off Zip, and then click Next.

  3. You will be asked to select files or folders to zip. You can zip a single file, many files, entire folders, or files and folders together. EasyZip will automatically compress all the files to produce a single zipped file. When you later unzip file, all of the files and folders within it will automatically reappear.

To add a file, click the File(s) button. A window will appear, where you can search for the file you want to add. To add a file, click it and click Open, or simply double-click it.

To add a folder, click the Folder button. A window will appear, where you can search for the folder you want to add. To add a folder, click on the folder, and then click OK.

  4. After adding a file or folder, you will be asked if you want to add more files or folders. Click Yes to add more files or folders, and you will be brought back to the screen in Step 3. Click No when you are finished.

  5. When you are finished adding the files, a list of the files or folders you added will appear. Here, you can:

    • Add more files or folders to the list by clicking Add another file or folder to the above list. You will repeat Step 3 and 4.

    • Remove a file or folder by clicking it, then clicking Remove file/folder from above list.

Click Next to continue.

  6. You will be asked if you want to encrypt your zip file with a password. If you use a password, then the password will be required to unzip the file. To use a password, Yes. Text boxes will appear, where you can enter your password twice. Click Next to continue.

  7. You will be asked to specify the name and location of your zip file.

EasyZip will automatically give your file a name (with the *.zip extension). To change it, click the Choose another name button. A window will appear. Enter a new name, and then click OK.

EasyZip will automatically put your file in the My Documents folder. To put the file in a different folder, directory, or drive (e.g., a floppy disk), click the Choose another folder button. A window will appear, where you can search for a folder. Click on the folder, and then click OK.

  8. When you are ready to zip, click Zip Now.

  9. EasyZip will zip your file. When finished, a message will appear telling you that the file was successfully zipped, and where it is located.

See Also:

Zipping Files in Advanced Mode


Unzipping Files

Someone gave you a floppy disk containing a zipped file, or perhaps you downloaded a zipped file from the Internet. To use these files, you must unzip them first.

The unzip process decompresses a file, and restores it to the way it was before it was zipped. (Why do persons zip files? To save space and time - smaller files can be transferred over the Internet in a fraction of the time it would take to transfer the larger original version of the file.)

To unzip a file in Easy Mode:

  1. Start the EasyZip program.

  2. You will bed asked what you want to do. Check off UnZip, and then click Next.

  3. A window will appear, where you can search for the file you want to unzip. Use the Look in box to move through other folders and directories. Click the zip file you want to open, and then click Open.

  4. You will be asked to specify where you want your file(s) to be unzipped to. By default, your unzipped files will be put in the My Documents folder. To specify a different folder or directory, click Choose another folder.

  5. Click the Unzip Now button.

  6. The zip file you selected will be unzipped. A message will appear to tell you that the file was successfully unzipped, and that the unzipped files were put in a particular directory. Remember (or write down) the directory that the un-zipped files were put into.

  7. Close the EasyZip program by clicking Exit. You can now access your un-zipped files. For example, if you un-zipped a text file that you wanted to read, you can use EasyWord to read it.

See Also:

Unzipping Files in Advanced Mode


Self-Extracting Zip Files

A self-extracting zip file has the zip program built into it. The file does not need EasyZip, WinZip, or any other zip program to unzip it. When the zip file is double-clicked in Windows, a program within the file will automatically unzip it.

To create a self-extracting zip (*.exe) file in Easy Mode:

  1. If you have not already done so, create an ordinary zip file. See Zipping Files and Folders for help.

  2. Go to the first screen of Easy Mode and click Create a self-extracting *.exe file from a zip file. Then, click Next.

  3. Enter the name and the path of the program (*.exe) file that will be produced. For example, C:\My Documents\ZipFile.exe. To search for an existing file, click the Browse button. Click Next to continue.

  4. Enter the name and path of the zip file you want to convert to a self-extracting file. To search for an existing zip file, click the Browse button.

  5. Click Create Now. The self-extracting file will be created.

  6. If you double-click the self-extracting file in Windows, it will unzip automatically.

Unzipping Self-Extracting Zip Files

To unzip a self-extracting zip file produced by EasyZip:

  1. In Windows (using Windows Explorer or a similar program), double-click on the file.

  2. A window will appear.

  3. Enter an Extract-to Path (or, click Browse to search for a path). This is where the unzipped contents of the self-extracting zip file will be placed. My Documents is usually given as the default path.

  4. Since zip files can contain hundreds of files, you are asked to select which files should be extracted:

    • To select one file, click the file name.

    • To select multiple files, click one file name. Hold down the Ctrl key while you click the other file names.

    • To select all the files in the list, click the Select All button (at the bottom-left corner of the window).

  5. If you want the folder-sub-folder hierarchy preserved when you place all the files in the specified folder, check off Append Item's Path.

  6. If you a password is required to unzip the files, enter it in the Password box. (If a password is required and you do not enter one, a series of dialog boxes will appear when you try to extract the files. Go back to the main dialog window, and be sure to enter the correct password in the Password box.)

  7. Click the Extract Items button, and the selected items will be unzipped (extracted) to the folder you specified.

Note: After unzipping the self-extracting zip file, you may receive a technical prompt to re-boot the computer to ensure all paths are in order. You may ignore this prompt by clicking the option NOT to reboot your computer.

See Also:

Self-Extracting Zip Files in Advanced Mode


Advanced Mode

More experienced users may want to use Advanced Mode.

When using Advanced Mode, remember that a zip file may contain many original files. When you open a zipped file, you will see the files contained in the zipped file. You can delete files, or add other files to the zipped file. If you actually want to unzip the files contained in the zipped file, then after you open it, you must extract the files it contains.

To switch to Advanced Mode from Easy Mode, click the Advanced Mode button.

To switch to Easy Mode from Advanced Mode, click the EZ Mode button. Or, go to the File2 menu and click Go to Easy Mode.


Creating Zip Files in Advanced Mode

To create a new zip file in Advanced Mode:

  1. Do one of the following:

    • Go to the File1 menu and click New Archive. Or,

    • Click the Create a New ZIP File button. Or,

    • Press Ctrl+N on your keyboard.

  2. A Create a New ZIP File window will appear.

  3. Enter a name for you new zip file in the first box.

  4. Specify a location for your zip file in the next box. Click Change Folder to select an existing folder.

  5. Select the type of compressed file you want to create (standard ZIP file, TAR ZIP file, or GZIP file).

  6. Click OK.

  7. An Add Files window will appear, where you can add one or more files to your zip archive. See Step 3 to Step 9 of Adding Files in Advanced Mode for help.


Opening Zip Files in Advanced Mode

Before unzipping a file in Advanced Mode, you must open it. After opening a file, you can unzip it, add files, delete files, and view files.

To open a zip file:

  1. Do one of the following:

    • Go to the File1 menu, and click Open Archive. Or,

    • Click the Open a ZIP File button. Or,

    • Press Ctrl+O on your keyboard.

  2. An Open Archive window will appear. Search for the zip file using the Look in box. To choose a file, click on the file and click Open, or simply double-click the file.

  3. The name of the zip file you opened will appear at the top of your screen. A list of all of the files contained in the zip file will appear below the main toolbar. At this point, the zip file is not unzipped, but simply opened. You can unzip the files, add files to the list, delete files, and view files.


Unzipping Files in Advanced Mode

To unzip a file in Advanced Mode, you must open the file, and then extract the files it contains.

To unzip (extract) the files:

  1. Open the zip file you want to extract. See Opening Zip Files in Advanced Mode for help.

  2. Do one of the following:

    • Go to the Action menu and click Extract. Or,

    • Click the Unzip Files (Extract) button. Or,

    • Press Ctrl+E on your keyboard.

  2. An Unzip window will appear.

  3. The folder that EasyZip will put your files will appear in the Unzip to box. To change the folder, click the Change Folder button. A window will appear, where you can search for another folder.

  4. Check off Skip older files to avoid overwriting a newer file with an older file, when both files have the same name. If a file you unzip has the same name as a file already in the destination folder, and the unzipped file is older than the other file, then it will not be copied to the folder.

  5. Check off Extract with paths to preserve the sub-folder, sub-sub-folder, and so on, structure of the zip file. The hierarchical path structure of any files and folders in the zip file will be preserved. Files will not simply be listed in the destination folder, but rather, they will be listed in their sub-folders, sub-sub-folders, and so on.

  6. When you are ready to extract your files, click the Unzip button. The files contained in the zip file will be unzipped as you have specified.

Extracting to Last Folder Used, My Documents, or Desktop

EasyZip allows you to instantly extract your files to the last folder you used, to the My Documents folder, or to the desktop as shortcuts.

To quickly extract your files:

  1. Open the zip file you want to extract. See Opening Zip Files in Advanced Mode for help.

  2. Go to the Action menu. Now:

    • To extract your files to the last folder you used, click Extract component files to the last folder used.

  • To extract your files to My Documents, click Extract component files to My Documents.

  • To extract your files to the desktop as shortcuts, click Extract component files to desktop.

  3. The files will instantly be extracted to the destination you chose.

Drag & Drop

You can quickly extract files to folders in Windows by dragging and dropping. See Drag & Drop in Advanced Mode for details.

See Also:

Unzipping Files


Self-Extracting Zip Files in Advanced Mode

A self-extracting zip file has the zip program built into it. The file does not need EasyZip, WinZip, or any other zip program to unzip it. When the zip file is double-clicked in Windows, a program within the file will automatically unzip it.

To create a self-extracting zip (*.exe) file in Advanced Mode:

  1. Open the zip file you want to use to create the self-extracting zip file. See Opening Zip Files in Advanced Mode for help.

  2. Go to the File1 menu and click Create Self-Extracting *.exe file.

  3. A Create executable file window will appear.

  4. Enter the name of the file and path in the text box. To search for an existing program file, click Browse.

  5. Click OK. The self-extracting file will be produced.

  6. If you double click the self-extracting file in Windows, it will unzip automatically. See "Unzipping Self-Extracted Zip Files" in Self-Extracting Zip Files for details.

See Also:

Self-Extracting Zip Files


Creating Program Groups in Advanced Mode

In Advanced Mode, you can automatically create a program group when you unzip your files.

To create a program group:

  1. Ensure that zip file you want to create the program group for is open on your screen. See Opening Zip Files in Advanced Mode for help.

  2. Do one of the following:

    • Go to the File1 menu and click Create Program Group. Or,

    • Click the Create a Program Group button.

  3. A Create a Program Group window will appear.

  4. A directory will be suggested where the files will be unzipped to. Choose another location by clicking the Change Folder button.

  5. A program group name will be suggested. You can enter a different name in the text box.

  6. Click OK. The files will be automatically unzipped to the specified directory, and a program group will be set up for the files.

  7. In Windows, go to the Start menu, and then Program. Scroll down the list of program groups, and you will see the program group you just created. When you put your cursor over the program group, shortcuts for the *.exe and *.doc files in the program group will appear.


Adding Files in Advanced Mode

In Advanced Mode, you can add more files and folders to an existing zip file. You can add as many files as you want (within reasonable storage ranges).

To add file(s):

  1. If you do not have a zip file currently open, open a zip file. See Opening Zip Files in Advanced Mode for help.

  2. Do one of the following:

    • Go to the Action menu and click Add another component file/folder to current compressed file. Or,

    • Click the Add File to Existing ZIP File button.

  3. An Add Files window will appear.

  4. Use the Look in box to search for files in other folders and directories.

  5. Select a Compression (maximum, normal, fast, or none).

  6. If you want to save your zip file with a password, click the Password button. A window will appear. Enter your password twice, and then click OK. (If you decide you do not want a password, un-check Password Protected.)

  7. If you want the full path (e.g., My Documents/Pictures/June2002) to be stored with your file(s), check off Save full path.

  8. Add your file(s):

    • To add one file, click it, and then click Add.

    • To add multiple files, click one file, and then hold down the Ctrl key while you click the other files. Click the Add button.

You may instead use wildcards to add all the files in your current folder, or to add all files of a certain type:

  • If you want files in the subfolders within your current folder to be added as well, check off If using *.* add all the subfolders also. If this is not checked off, then all files in the subfolders will be ignored.

  • To add files of a certain type, enter *. followed by the file extension (e.g., *.txt) in the File name box. Then, click Add file names containing *.

  • To add files of all types, enter *.* in the File name box, and then click Add file names containing *.

  9. The files you specified will be compressed and added to your current zip file.

Drag & Drop

You can quickly add files to your zip archive by dragging and dropping files from Windows. See Drag & Drop in Advanced Mode for details.

See Also:

Adding Folders in Advanced Mode

Zipping Files and Folders


Adding Folders in Advanced Mode

In Advanced Mode, there is no button used to zip folders. Instead, wildcards are used to zip folders.

To zip a folder:

  1. After clicking Create a New ZIP File or Add File to Existing ZIP File, you will eventually arrive at the Add Files window.

  2. Using the Look in box and standard Windows commands, search for the folder you want to add. Double-click it, and all of its files and subfolders will be displayed.

  3. Enter *.* in the File name box. This is the wildcard, and it means that all files within your current folder will be added.

  4. Ensure that If using *.* add all the subfolders is checked off. This way, all the files within the subfolders of your current folder will also be added. If you do not check off this option, then subfolders will be ignored.

  5. Ensure that Save full path is checked off. This way, the full paths of your files will be saved, and when you unzip the files, the subfolder structure will be preserved. If you do not check off this option, then paths of the will not be saved, and all the files in the folders and its subfolders will all be put together.

  6. Click the Add file names containing * button.

  7. All the files of the folder will be added to your zip file. If you chose to include the files within the subfolders, then all these files will also be added. Subfolders are not individually displayed; however, if you saved the path, then the folder and subfolder of each files will appear under Path. If you unzip (extract) the files to a certain directory, the subfolders will be in place.

See Also:

Adding Files in Advanced Mode

Zipping Files and Folders


Deleting Files in Advanced Mode

To delete files from your current zip file in Advanced Mode:

  1. If your zip file is not currently open, open a zip file. See Opening Zip Files in Advanced Mode for help.

  2. Select the file(s) you want to delete:

    • To select one file, click it.

    • To select multiple files, click one file, and then hold down the Ctrl key while you click the other files.

    • To select all files in your current zip archive, go to the Action menu and click Select all files displayed below. Or, press Ctrl+A on your keyboard.

    • Perhaps you want to delete all files in your current archive, except for a few select files. Select the files you do NOT want to delete, then go to the Action menu and click Invert selection of selected files below.

  3. Delete your selected file(s):

    • Press the Delete key on your keyboard. Or,

    • Go to the Action menu and click Delete selected component file/folder from current compressed file. Or,

    • Press Ctrl+D on your keyboard.

  4. A Delete window will appear. Choose to delete only your selected files, or all the files in your current archive. Then, click OK.

  5. The file(s) will be deleted from your current archive. They will NOT be deleted from other locations your computer.


Viewing Files in Advanced Mode

To view a file within a zip file:

  1. Open a zip file. See Opening Zip Files in Advanced Mode for help.

  2. A list of files contained within the zip file will appear below the main toolbar.

  3. Do one of the following:

    • Click on the file, and then go to the Action menu and click View. Or,

    • Click on the file, and then click the View a File button. Or,

    • Click on the file, and then press Ctrl+V on your keyboard. Or,

    • Double-click the file.

  4. The file will open with the program associated with it.


Moving Zip Files in Advanced Mode

To move your current zip file to another location:

  1. Ensure that the zip file you want to move is currently open.

  2. Go to the File1 menu and click Move compressed file.

  3. A Move window will appear.

  4. Select the folder or directory you want to move your zip file to.

  5. Click OK. Your file will be moved.


Copying Zip Files in Advanced Mode

To copy your current zip file to another location:

  1. Ensure that the zip file you want to copy is currently open.

  2. Go to the File1 menu and click Copy compressed file.

  3. A Copy window will appear.

  4. Select the folder or directory you want to copy to. For example, if you wanted to copy your zip file to a floppy disk, select the A: drive.

  5. Click OK. Your zip file will be copied to the destination you chose.


Deleting Zip Files in Advanced Mode

To delete your current zip file:

  1. Ensure that the zip file you want to delete is currently open.

  2. Go to the File1 menu and click Delete compressed file.

  3. A Confirm File Delete window will appear.

  4. Click OK. Your file will be deleted from its current folder or directory, and sent to your computer's Recycle Bin.


Renaming Zip Files in Advanced Mode

To rename your current zip file:

  1. Ensure that the zip file you want to rename is currently open.

  2. Go to the File1 menu and click Rename compressed file.

  3. A Rename window will appear.

  4. Type a new name for your file in the To box.

  5. Click OK. The zip file will be renamed (in the current folder or directory only).


Printing File Lists in Advanced Mode

To print a list of the files in your current zip file:

  1. Ensure that the zip file you want to print is currently open.

  2. Go to the File2 menu and click Print out list of files displayed below.

  3. A Print Setup window will appear.

  4. Adjust the printer properties (paper size, orientation, etc.) as necessary.

  5. Click OK. Your file list will be printed.


E-mailing Zip Files in Advanced Mode

In Advanced Mode, you can attach your current zip file to a new e-mail.

To e-mail a zip file:

  1. Ensure that the zip file you want to send is currently open.

  2. Go to the File2 menu and click E-mail current zip/compressed file.

  3. Your default e-mail program will open to a new message, with your current zip file as an attachment.


Password Protection in Advanced Mode

For security purposes, you may want to save your zip file with a password. This password will be required to open the file.

To set a password:

  1. Ensure that the zip file you want to set the password for is currently open.

  2. Do one of the following:

    • Go to the Action menu and click Add another component file/folder to current compressed file. Or,

    • Click the Add File to Existing ZIP File button. Or,

    • Press Ctrl+A on your keyboard.

  3. An Add Files window will appear.

  4. Click the Password button.

  5. A Set Password window will appear. Enter your password twice, and then click OK.

  6. Password Protected will be checked off. (If you decide you do not want a password, un-check Password Protected.

  7. Click Cancel.

Note: If you would like to be prompted automatically to set a password when you create a new zip file, go to the File1 menu and check off Ask for password when creating a ZIP file.


Virus Scanning Zip Files in Advanced Mode

In Advanced Mode, you can scan zip files for viruses.

To scan for viruses:

  1. Open the zip file you want to scan. See Unzipping Files in Advanced Mode for help.

  2. Go to the File2 menu and click Virus scan all files displayed below.

  3. Your default virus scanning program will scan the files in the current zip file.

Configuring Virus Scanner

If your virus scanner has not been registered with EasyZip, you must do so before scanning for viruses.

To configure your virus scanner:

  1. Go to the File2 menu and click Configure virus scanner for use with EasyZip.

  2. A Tell EasyZip which Virus Scanning Program to use window will appear.

  3. Click the ... button beside the Virus Scan program to use text box. A window will appear, where you can search for your virus scanner program file. Click on the file, and then click Open.

  4. Enter Parameters as required by your virus scan program.

  5. Check off Run Virus Scan Program minimized if you prefer to have the virus scan program minimized (hidden) when it runs.

  6. Click OK.


Viewing Images with EasyImage

If you installed EasyOffice Premium from a CD-ROM, then a copy of EasyImage was also installed.

If you unzip a file that contains images, it is very convenient to use EasyImage to view or modify the images. To do so, click the image file you want to view, go to the Display Images menu, and click Display Selected File Below using EasyImage.

To instead view an image file using your default image browser, click the image file you want to view, go to the Display Images menu, and click Display selected File Below using Computer' s Default Image Browser. Or, simply double-click the image file you want to view.


Keyboard Shortcuts in Advanced Mode

In Advanced Mode, you can perform many common functions directly from your keyboard.

Keyboard Shortcut | Function
Ctrl+N | create new zip archive
Ctrl+O | open existing zip archive
Ctrl+C | close current zip archive
Ctrl+E | unzip (extract) all files in current archive
Ctrl+A | select all files in current archive
Ctrl+D | delete selected file(s) from current archive
Delete | delete selected file(s) from current archive
Ctrl+V | view selected file


Drag & Drop in Advanced Mode

You can drag and drop files to and from Windows to quickly add files to your archive, or to unzip files in your archive.

Adding Files

To add a file from Windows to your current zip file:

  1. Ensure that you currently have a zip file open.

  2. Search for the file in Windows (using a program such as Windows Explorer).

  3. Drag the file from Windows to your zip file (click the file, hold down your left mouse button, move the file to your zip archive, and release the mouse button).

  4. The file will automatically be added to your zip archive.

Note: You cannot add folders to your archive by dragging and dropping.

Unzipping Files

To unzip (extract) a file in your current archive:

  1. Ensure that you currently have a zip file open.

  2. Open the folder in Windows that you want to extract to (using a program such as Windows Explorer).

  3. Drag the file from your zip archive to the folder in Windows (click the file in your archive, hold down your left mouse button, move the file to the folder, and release the mouse button).

  4. The file will automatically be unzipped and placed in the folder.


Creating a Zip file on a Floppy Diskette

When you zip a file to a floppy diskette, EasyZip will automatically 'span' multiple diskettes. For example, if the size of the compressed zip file is 2.2 MB, then EasyZip will automatically put 1.4 MB of this onto 1 floppy diskette, and ask you for another floppy diskette to put the remaining .8 MB. This is done automatically.

When you unzip such 'spanned' files, EasyZip will automatically ask you for the appropriate floppy diskette.


Creating a Certain Sized Zip File

Disk spanning is usually associated with floppy diskettes, ie, if the zip file is larger than 1.4MB then multiple zip files need to be created in order to record onto multiple floppy diskettes.

However, many users will have the occasion where he/she needs zipped files below a certain size, for other purposes. For example, many e-mail services may cut off attachments that are larger than 2MB. For example, if you have a 11MB image that you can only zip down to 5MB in size, then how would you send such an attachment as an e-mail over an e-mail server with a 2MB file size restriction? In such a case, you would specify that the zipped file that EasyZip creates the zipped file as multiple zip files, each less than 2MB:

  • Click File2. Click 'Compress a file or directory into mulitple files each less than 2 MB'.

  • You will be asked for a name for the zipped file(s) you are creating and in which directory you want this file created.

  • You will then be asked for the files/directories you want to add to your zipped file

  • The EasyZip screen with all the component files appears. Your zipped file has been already been created. If you check the directory where you specified this file to be created in, if indeed your zipped file should have been 5MB, you will see three (or more, sometimes depending on particular internal file structures) zip files, approximately 2MB, 2MB and 1MB in size.

  • In the example above, you would e-mail these three files, each less than 2MB in size, as attachments. The receiving party would then un-zip these files. EasyZip (or a compatible program such as WinZip) would then automatically reassemble the three zip files and un-zip them into the original image that you zipped.

You can choose one of the preset sizes, or enter whatever maximum file size you would like to use.

Preset file sizes (ie, maximum size zip files should be) include:

  • less than 500K (useful if low-bandwidth, poor performance e-mail server)

  • less than 1MB (useful if low-bandwidth e-mail server)

  • less than 2MB (useful if low-bandwidth e-mail server)

  • less than 5 MB (useful for many e-mail servers)

  • less than 650 MB (useful for spanning CD-R's) (each 650 MB zip file should be written to a separate cd-r; when unzipping, copy each zip file from each cd-r to your hard drive and then unzip)

  • less than 700MB (useful for spanning CD-R's) (each 700 MB zip file should be written to a separate cd-r; when unzipping, copy each zip file from each cd-r to your hard drive and then unzip)

  • less than 4.7GB (useful for spanning DVDs) (each 4.7 GB zip file should be written to a separate dvd; when unzipping, copy each zip file from each dvd to your hard drive and then unzip)

To set a maximum file size of your own:

  • Click 'Set file size of 'maximum size'

  • Click 'Compress a file or directory into multiple files each less than a maximum size'


GZIP & TAR Files

EasyZip can successfully compress and decompress GZIP and TAR files.

If you are a mainstream PC user, you will rarely deal with GZIP and TAR files; however, if you interact with Unix and Linux users, or if you download files from a variety of archives, you will encounter GZIP and TAR files. You may need to zip or unzip these types of files.

Origins of Zip Algorithms

ZIP originally referred to the Lempel-Ziv compression algorithm. ZIP then commonly referred to the PKZIP compression (using Lempel-Ziv) and archival algorithm.

When one speaks of a zip file now, it is assumed that files are compressed, and that files are archived into a zip file. A single zip file can be unzipped and de-archived into multiple files, which are decompressed. The advantage of holding multiple compressed files in a single zip file is that many separate files do not have to be dealt with.

GZIP (or 'GNU zip') was written by Jean-Loup Gailly and Mark Adler. (GNU refers to the GNU Project, the name recursively derived from 'GNU's Not Unix', which started in 1984 to develop a complete Unix-like operating system which was free software.) GZIP was intended to be a replacement for the Compress program; it is a compression-only algorithm that does not archive multiple files into one file. It produces compressed files with a *.gz extension, and can decompress files created by GZIP, Compress, and Pack.

TAR (or 'Tar') is an archival algorithm. GZIP and TAR are often used together. TAR will archive a number of files into one file, which GZIP will then compress.

BZIP2 is a variation of GZIP, which is better at compressing than GZIP, but is much slower to execute. It is not commonly used. BZIP2 is not currently supported by EasyZip.

Summary of Zip Algorithms

ZIP: Compresses and archives many files into one ZIP file.

GZIP: Unix-like zip that compresses one file into one GZIP file.

TAR: Archives files into one file.

GZIP/TAR: Archives a number of files into one TAR file, and then a GZIP file to reduce its size.

Advantages of GZIP/TAR vs. ZIP

If a file that is already compressed (e.g., a GIF image file) is zipped, little compression will be achieved. Thus, if you try to zip 10MB of a number of GIF files into one zip file, you will end up with a zip file close to 10MB.

However, of compressed files are archived into one TAR file, and then GZIP is used to compress it, significant size reduction will be achieved. The GZIP algorithm may not be able to compress the files on an individual basis, but by looking for common strings in the whole group of files, it will find further areas that can be compressed.

Other Archival Formats

EasyZip supports the compression and archival formats above. Numerous other archival formats exist, and with sufficient demand, EasyZip may support some of these formats in the future.

  • ARC: Older format that is infrequently used now.

  • ARJ: Archive format created by Robert Jung and manipulated by his ARJ program.

  • LZH: Archive format manipulated by Haruyasu Yoshizaki's LZH program.

  • CAB: Archive format used by Microsoft to install software programs.

TAR/GZIP variants may be found on various Unix-based computers.


Creating GZIP Files

GZIP files can be zipped and unzipped in both Easy Mode and Advanced Mode. GZIP files can contain only one file. As well, if you have set a password, it will be disregarded when using GZIP files.

Zipping GZIP Files in Easy Mode

To create GZIP file in Easy Mode:

  1. Go to the first screen of Easy Mode, where you are asked what you want to do.

  2. Click Zip a file into a GZIP compressed file. Then, click Next.

  3. Add a file by clicking the Files button. An Add Files window will appear. Click the file you want to add and click Open (or, simply double-click the file you want to add).

  4. You will be asked to specify the name and location of your zip file.

EasyZip will automatically give your file a name (with the *.gz extension). To change it, click the Choose another name button. A window will appear. Enter a new name, and then click OK.

EasyZip will automatically put your file in the My Documents folder. To put the file in a different folder, directory, or drive (e.g., a floppy disk), click the Choose another folder button. A window will appear, where you can search for a folder. Click on the folder, and then click OK.

  5. Click Zip Now. Your file will be compressed into a GZIP file.

Zipping GZIP Files in Advanced Mode

To create a GZIP File in Advanced Mode:

  1. Begin creating a new zip file as you would normally (click Create a New ZIP File or press Ctrl+N).

  2. A Create a New ZIP File window will appear. Enter the name and location, as usual. Ensure that Create GZIP File is selected.

  3. Continue as you would normally. See Creating Zip Files in Advanced Mode for help. Remember that GZIP files can contain only one file - if you try to add another file to the archive, the old file will be replaced by the new one.


Unzipping GZIP Files

GZIP files can be zipped and unzipped in both Easy Mode and Advanced Mode. GZIP files can contain only one file. As well, if you have set a password, it will be disregarded when using GZIP files.

Unzipping GZIP Files in Easy Mode

To unzip a GZIP file in Easy Mode:

  1. Go to the first screen of Easy Mode, where you are asked what you want to do.

  2. Click Unzip, and then click Next.

  3. A window will appear. Select GZip files from the Files of type box. Then, search for your GZIP file, click it, and click Open.

  4. You will be asked to specify the folder you want your GZIP file to be unzipped to. To browse for another folder, click Choose another folder.

  5. Click Unzip Now. Your GZIP file will be decompressed and placed in the folder you specified. If a TAR file is detected within the GZIP file, it will be un-archived automatically. If, for some reason, it is not detected nor un-archived, simply double-click on the TAR file in Advanced Mode to un-archive it.

  6. You will be given the option to go to the folder that your file was unzipped to, go back to the start, or exit EasyZip.

Unzipping GZIP Files in Advanced Mode

To unzip a GZIP file in Advanced Mode:

  1. Begin opening a zip file as you would normally (click Open a ZIP File or press Ctrl+O).

  2. An Open Archive window will appear. Select GZip Files from the Files of type box. Then, search for your file, click it, and click Open.

  3. Your GZIP file will be opened.

  4. Unzip the files as you would normally. See Unzipping Files in Advanced Mode for help. If there is a TAR file within your GZIP file, double-click it to un-archive it.


Creating TAR Files

TAR files can be zipped and unzipped in both Easy Mode and Advanced Mode. TAR files can contain multiple files.

Zipping TAR Files in Easy Mode

To create TAR file in Easy Mode:

  1. Go to the first screen of Easy Mode, where you are asked what you want to do.

  2. Click Archive files into a single TAR file. Then, click Next.

  3. You will be asked to select files or folders to zip:

  • To add a file, click the File(s) button. A window will appear, where you can search for the file you want to add. To add a file, click it and click Open, or simply double-click it.

  • To add a folder, click the Folder button. A window will appear, where you can search for the folder you want to add. To add a folder, click on the folder, and then click OK.

  4. After adding a file or folder, you will be asked if you want to add more files or folders. Click Yes to add more files or folders, and you will be brought back to the screen in Step 3. Click No when you are finished.

  5. When you are finished adding the files, a list of the files or folders you added will appear. Here, you can:

    • Add more files or folders to the list by clicking Add another file or folder to the above list. You will repeat Step 3 and 4.

    • Remove a file or folder by clicking it, then clicking Remove file/folder from above list.

Click Next to continue.

  6. You will be asked to specify the name and location of your zip file.

EasyZip will automatically give your file a name (with the *.tar extension). To change it, click the Choose another name button. A window will appear. Enter a new name, and then click OK.

EasyZip will automatically put your file in the My Documents folder. To put the file in a different folder, directory, or drive (e.g., a floppy disk), click the Choose another folder button. A window will appear, where you can search for a folder. Click on the folder, and then click OK.

  7. Click Zip Now. Your file will be compressed into a TAR archive file.

Zipping TAR Files in Advanced Mode

To create a TAR file in Advanced Mode:

  1. Begin creating a new zip file as you would normally (click Create a New ZIP File or press Ctrl+N).

  2. A Create a New ZIP File window will appear. Enter the name and location, as usual. Ensure that Create TAR File is selected.

  3. Continue as you would normally. See Creating Zip Files in Advanced Mode for help. Remember that TAR files can contain multiple files, and thus, you can add more files to your TAR file.


Unzipping TAR Files

TAR files can be zipped and unzipped in both Easy Mode and Advanced Mode. TAR files can contain multiple files.

Unzipping TAR Files in Easy Mode

To unzip a TAR file in Easy Mode:

  1. Go to the first screen of Easy Mode, where you are asked what you want to do.

  2. Click Unzip, and then click Next.

  3. A window will appear. Select TAR files from the Files of type box. Then, search for your TAR file, click it, and click Open.

  4. You will be asked to specify the folder you want your TAR file to be unzipped to. To browse for another folder, click Choose another folder.

  5. Click Unzip Now. Your TAR file will be decompressed and placed in the folder you specified.

  6. You will be given the option to go to the folder that your file was unzipped to, go back to the start, or exit EasyZip.

Unzipping TAR Files in Advanced Mode

To unzip a TAR file in Advanced Mode:

  1. Begin opening a zip file as you would normally (click Open a ZIP File or press Ctrl+O).

  2. An Open Archive window will appear. Select TAR Files from the Files of type box. Then, search for your file, click it, and click Open.

  3. Your TAR file will be opened.

  4. Unzip the files as you would normally. See Unzipping Files in Advanced Mode for help.


UU-Encoding

UU-encoding is a method of converting a file into an encoded file which contains only standard text characters. UU-encoded files can be sent over any e-mail system.

You will not usually have to UU-encode files. If you want to send a file with an e-mail, and you are using an MIME-compliant e-mail program (e.g., Microsoft Outlook Express), then send the file as an attachment and let Outlook Express take care of the details.

However, if you are using MSMail or CompuServe (WinCIM), you may need to UU-encode and UU-decode files. You can do so with EasyZip.

The Need for UU-Encoding and Equivalent Encoding Schemes

When computers first arose, they used 26 letters in the English alphabet, 26 lower case letters, 10 digits, and a few punctuation marks. It was felt that a 7-bit encoding was more than sufficient, and such a 7-bit code was standardized as the ASCII character set, or Code ISO 646.

The 7-bit ASCII encoding set worked well initially, and allowed users to send text messages to each other. Computers were expensive at this time, and multimedia was not in widespread use.

Problems emerged when users wanted to send non-text messages to each other. Non-text files are arranged in bytes, which use 8-bit encoding. UU-encoding was developed to encode binary files consisting of bytes (8-bit values) into 7-bit or lower ASCII encoding. The text characters representing the original binary file can easily traverse the different e-mail and computer communication systems. At the other end, a UU-decoding program converts the text characters back to the original binary file.

UU-encoding takes 3 bytes of the original binary file (24 bits), and splits them into 4 6-bit (24 bits total) characters. The 6-bit characters can be handled by diverse e-mail and computer communication systems.

UU-encoding would encode a binary file representing an image as, for example, "MR4FRR7DFERRF#EF"@DD-<A........." These characters can go through most e-mail systems as text characters. At the receiving end, a UU-decoder would convert the characters back to the original binary file.

Problems with UU-encoding; XX-encoding

UU-encoding uses ASCII characters with values from 32 to 95. ASCII character 32 is the space character. Some e-mail systems truncate spaces in order to reduce file sizes, and as a result, will interfere with UU-encoding.

XX-encoding is a variant of UU-encoding. It uses the tilde ~ character (ASCII value 96) instead of the space character to encode the value of 0. Thus, it overcomes this problem in UU-encoding.

Another problem is that UU-encoding assumes an ASCII character set will be transmitted by the e-mail system. Older IBM computers, however, do not use ASCII. Instead, they use an EBCDIC character set, which is missing some of the ASCII characters required for UU-encoding. As a result, a number of \other variants of UU-encoding have emerged.

UU-encoding is still the most popular UU-encoding scheme, followed by XX-encoding, and then followed by BinHex encoding. BinHex encoding converts an 8-bit binary file into 7-bit characters.

EasyZip currently focuses on standard UU-encoding; however, if there is sufficient demand, variant UU-encoding schemes can be included in the future.


Base64 & Quoted-Printable Encoding

UU-encoding and XX-encoding do not deal with the problem that many e-mail systems truncate messages that are too large. The e-mail system may expect text messages to be no more than, for example, a thousand pages of text. This is a reasonable assumption if one is typing an e-mail text message; however, if one is converting a large binary image file into a text file, the resulting text file may exceed a thousand pages of text in size. In such a case, the e-mail system would truncate the resulting UU-encoded text file, and the receiving computer would not have the full file to decode.

In 1993, Borenstein and Freed published RFC 1521 'Multipurpose Internet Mail Extensions', or MIME, to deal with some of the problems (including internationalization) e-mail systems posed to UU-encoding. In 1996, RFC 2045 replaced RFC 1521, but the basic concepts remained the same.

According to MIME:

  • An e-mail message could contain multiple parts. Base64 encoding was used to encode the binary data in an e-mail. Quoted Printable encoding was used to encode non-ASCII plain text.

  • Binary files could be included in an e-mail message by way of an attachment. The multiple parts of an e-mail could each have headers, and on the receiving computer, the MIME system can re-assemble the parts of the e-mail.

MIME works well, and most users are typically not aware of its use. When you use, for example, Outlook Express to send an attachment, the attachment is encoded to allow passage as text characters through various e-mail systems, as specified by MIME. At the receiving computer, is decoded back together again. ('Simple Mail Transport Protocol' (SMTP) was specified originally in RFC 821 in 1982, and did not deal with binary data. 'Network News Transport Protocol' (NNTP), which is from 1986 and is used for newsgroup articles, also did not deal with binary data.)

"If MIME works so well, why is there a need for the end-user to deal with Base64, Quotable-Printable, or UU-encoding?"

Not all e-mail systems are MIME-compliant. Older legacy systems are not MIME-compliant, and users have to use UU-encoding. Some e-mail systems are faulty, and produce faulty attachments that do not re-assemble properly.

Thus, there may be times when you need to decode UU-encoded, Base64, Quoted Printable file. EasyZip will handle the decoding of these files for you. EasyZip will also handle the encoding of these file formats for you.

Other encoding variants do exist, but are more rare and are not supported by EasyZip; however, if there is sufficient demand, additional encoding variants can be implemented into future versions of EasyZip.

"Is encoding necessary with 'Hypertext Transfer Protocol' (HTTP)?"

No. HTTP (RFC 2068 and above) was designed to deal with binary data. Thus, if you are using a web browser to download a binary image or sound file, you do not need to encode or decode, since the HTTP protocol will handle the binary file.


Creating Encoded Files

UU-encoded, Base64, and Quoted-Printable files can only be created in Advanced Mode. If you are in Easy Mode, switch to Advanced Mode by clicking the Advanced Mode button.

UU-Encoded Files

To create a UU-encoded file:

  1. Ensure that the zip file you want to UU-encode is currently open.

  2. Go to the File1 menu and click Create compressed file in UU-encode format.

  3. A UU-encoded file will automatically be created. A message will appear, giving you the name and path of the UU-encoded file. It will be given the same name as your zip file, but with the extension *.uue, and it will be placed in the same folder as your zip file.

Base64 Encoded Files

To create a Base64 file:

  1. Ensure that the zip file you want to encode is currently open.

  2. Go to the File1 menu and click Create compressed file in Base64 (MIME) format.

  3. A Base64 file will automatically be created. A message will appear, giving you the name and path of the Base64 file. It will be given the same name as your zip file, but with the extension *.b64, and it will be placed in the same folder as your zip file.

Quoted-Printable Encoded Files

To create a Quoted-Printable file:

  1. Ensure that the zip file you want to encode is currently open.

  2. Go to the File1 menu and click Create compressed file in Quoted-Printable (MIME) format.

  3. A Quoted-Printable file will automatically be created. A message will appear, giving you the name and path of the Quoted-Printable file. It will be given the same name as your zip file, but with the extension *.mim, and it will be placed in the same folder as your zip file.


Unzipping Encoded Files

UU-encoded, Base64, and Quoted-Printable files can only be opened and unzipped in Advanced Mode. If you are in Easy Mode, switch to Advanced Mode by clicking the Advanced Mode button.

To open and unzip a UU-encoded, Base64, or Quoted-Printable file:

  1. Begin opening a zip file as you would normally (click Open a ZIP File or press Ctrl+O).

  2. An Open Archive window will appear. Select Encoded Files from the Files of type box. Then, search for your encoded file, click it, and click Open.

  3. Your encoded file will be opened.

  4. Extract the files as you would normally (click Unzip Files or press Ctrl+E). See Unzipping Files in Advanced Mode for help.


Sending & Receiving Encoded Files

The MSMail and CompuServe (WinCIM) e-mail systems may require you to encode (or decode) files that you send (or receive) as attachments.

If you are using an MIME-compliant e-mail program (e.g., Microsoft Outlook Express), then you will usually not have to encode files. If you want to send an image file with an e-mail, send the file as an attachment, and Outlook Express take care of the details.

However, if you are using MSMail or CompuServe (WinCIM), it may be difficult to transfer files. In such a case, use EasyZip to create a UU-encoded file, and then attach your the file to your e-mail.

Using MSMail

To e-mail an encoded file with MSMail:

  1. Use EasyZip to create the UU-encoded file. See Creating Encoded Files for help.

  2. In MSMail, click Attach, and then File.

  3. Select the UU-encoded file you want to attach to your e-mail.

  4. Send your message.

To receive an encoded file in MSMail:

  1. Highlight the message that contains the UU-encoded file.

  2. Click File, then Save As, and choose a file name ending with *.uue.

  3. Use EasyZip to unzip the file. See Unzipping Encoded Files for help.

Using CompuServe (WinCIM)

To e-mail an encoded file with CompuServe (WinCIM):

  1. Use EasyZip to create the UU-encoded file. See Creating Encoded Files for help.

  2. In CompuServe, click Attach. (In WinCIM Version 2, click File, then Attach.)

  3. Select the UU-encoded file you want to attach to your e-mail.

  4. Highlight the selected file in the Attach Files box, click Text in File Type, and then click OK.

  5. Send your message.

To receive an encoded file in CompuServe (WinCIM):

  1. Double-click the message.

  2. Click File, then Save As, and choose a filename ending with *.uue.

  3. Use EasyZip to unzip the file. See Unzipping Encoded Files for help.

Receiving Multiple Encoded Files

If you receive multiple e-mail messages, each containing a portion of a UU-encoded file, receive and unzip each file. Then, put the pieces of the file together manually (for example, by using EasyWord).


Running EasyZipp.exe from the Command Line

EasyZip includes EasyZipp.exe, which can be run from the command line.

EasyZipp.exe can be run from the command line with many of the same switches used in the command line versions of PKZIP and WinZip. This is useful if you want to include an instruction in a batch file to automatically zip a certain directory.

Running from the command line means that the interactive normal EasyZip program does not appear. Instead, depending on the command line switch settings you specify, EasyZipp.exe will automatically follow your switches (i.e., commands you place on the command line after the word easyzip.exe), and without any user intervention, zip or unzip the files and folders specified.

EasyZipp.exe can be found in the Windows\System directory. When EasyOffice Premium is installed from a CD-ROM, EasyZipp.exe is automatically installed to the Windows\System directory.

Note: Although certain downloadable versions of EasyOffice may include EasyZipp.exe, most downloadable versions do not include this program to conserve bandwidth. To obtain EasyZipp.exe, you may need to purchase a CD-ROM or UserID (or use your existing UserID) and download the program separately.

Running EasyZipp.exe from the Command Line

EasyZipp.exe uses industry standard parameters and switches:

The usage of EasyZipp.exe on the command line is as follows:

  • EasyZipp [options] zipfile [files to zip...]

Note: When creating a zip file, you should (but do not have to) specify the .zip extension of the zip file - it will be added automatically. However, when unzipping a file, you must specify the exact the zip file name, including the .zip extension.

Zipping Files from the Command Line

Perhaps you wanted to zip all the files in My Documents from the command line, and write them to the zip file MyZip.zip on the desktop. (Note: If your My Documents is elsewhere, or you are using drive D instead of usual drive C, make the relevant changes to the command line below.)

  1. Go to the Start menu and click Run.

  2. Enter Command, and then enter:

c:\windows\system\EasyZipp -a c:\Windows\Desktop\MyZip "c:\My Documents\*.*"

(There are quotes around "c:\My Documents\*.*" because there is a space between My and Documents)

(*.* means all the files in this directory)

  3. Press Enter. You will be told that myzip.zip does not exist, documents are being added from My Documents, and myzip.zip has been created.

  4. Go to the desktop and double-click the file MyZip.zip - EasyZip will open it, and it will contain copies of all the files in your My Documents folder.

Unzipping Files from the Command Line

EasyZipp.exe is used for both zipping and unzipping. There is no EasyUnZipp.exe. Depending on the command line options used, EasyZipp.exe can zip or unzip files. To unzip files, an -e is used, followed by any additional options.

Perhaps you wanted to unzip MyZip.zip (that was created above).

  1. On your desktop, create a folder called Receiver to receive the files (right-click, click New, click Folder, and name it Receiver).

  2. Go to the Start menu and click Run.

  3. Enter Command, and then enter:

c:\windows\system\EasyZipp -e c:\Windows\Desktop\MyZip.zip c:\Windows\Desktop\Receiver

(Note: You need to use the full filename of the zip file, including the .zip extension.)

  4. Press Enter. There may be a short delay if the My Documents folder you previously zipped was very large in size. Then, you will see each file being unzipped line by line .

  5. Go to your desktop and double-click the Receiver folder - you will see that it contains a copy of all the files in your My Documents which you previously stored in the MyZip.zip file you created.

GZIP, TAR, UU-Encoded, Base64, and Quoted-Printable Files

The present version of EasyZip does NOT support the creation of these files from the command line.


EasyZipp.exe Command Line Options

Multiple command line options can be used with EasyZipp.exe.

For example, perhaps you wanted to zip all the files in the My Documents folder, write this to a zip file called MyZip.zip on the desktop, .and set the compression to maximum compression (which takes longer, but produces a smaller zip file):

  1. Go to the Start menu and click Run.

  2. Enter Command, and then enter:

c:\windows\system\EasyZipp -a -ex c:\Windows\Desktop\MyZip "c:\My Documents\*.*"

  3. Press Enter.

Command Line Options for Zipping Files

-a | Add files (default option; adds files to an existing zip file or creates the zip file; if you do not specify any options, then EasyZip will assumes this option is the one to be done)
-a+ | Add files and remove archive attribute from files (after files are added to the specified zip file, the file archive attribute is reset)
-b[drive|path] | Specifies use of another drive for usage of the temporary file EasyZipp creates during zipping (useful if you are zipping a very large file and space is constrained on the default drive)(example: you want to use the root directory on your extra hard drive e: for the temporary file - thus you would specify this option as: -be:\ )
-d | Deletes a specified file from the specified zip file
-ex | Set compression to maxmum (produces smallest file size, but takes longer)
-en | Set compression to normal
-ef | Set compression to fast (takes less time, but file size is larger)
-es | Set compression to superfast (takes less time, but file size is larger)
-e0 | Set compression to no compression
-f | Freshen (replaces existing files of a zip file with newer files; if the file does not already exist in the zip file, then it will not be added; only existing files are replaced)
-h (or -?) | Help file will be shown
-i | Add a file only whose archive attribute is set, and then reset the archive attribute
-i- | Add files only whose archive attribute is set, and leave the archive attribute set
-p | Folder names are not stored (this is usually used with -r option to zip subfolders; eg, easyzipp -a -p -r myzip.zip myfolder\*.* )
-P | Folder names are stored, including subfolder recursed folders (this is usually used with -r option to zip subfolders; eg, easyzipp -a -P -r myzip.zip myfolder\*.* )
-r | Recurse into subfolders; requires -p or -P option if want to save path (this is usually used with -p option to zip subfolders; eg, easyzipp -a -P -r myzip.zip myfolder\*.* )
-s | Zip with password which will be asked by prompts
-s[password] | Zip with specified password (for example, if you wanted to specify the password 'mypassword' you would specify the option as -smypassword)
-t | Add files with date equal to or greater than the current date
-t[date] | Add files with date equal to or greater than the specified date (format to use depends on the country settings; USA: mmdd[yy]yy OR [m]m/[d]d/[yy]yy; Europe: ddmm[yy]yy OR [d]d.[m]m.[yy]yy; Japan: [yy]yymmdd OR [yy]yy/[m]m/[d]d)
-tf[date] | Add files with date equal to or greater than the specified date with format as [yy]yymmdd OR [yy]yy-[m]m-[d]d
-u | Add to zip file only changed files (will skip same files with the same date as those already in the zip file; will add file if file does not already exist)
-v[b|t][r][m][c][d|e|n|o|p|s] | View the files in the specified zip file
-v | View the files in normal format
-vb | View the files in brief format
-vt | View the files in technical format
-vr | View the files with sort order reversed
-vm | View the files with pauses after each screen
-vc | View the files with file comments
-vd, or -ve, or -vn, or -vo, or -vp or -vs | View the files sorted by date, extension, name, original order, percentage compression or uncompressed size
-v[b|t][r][m][c][d|e|n|o|p|s]f | View the files in the specified zip file with date in yyyy-mm-dd format (regardless of system settings, date will appear in this format)
-whs | Includes hidden and system files
-Whs | Excludes hidden and system files
-x<filename> | Excludes adding the specified file(s)
-yp | Prompts "Press any key to continue..." when zipping is finished
-z | Create (edit) a zip file comment
-& | Span to multiple diskettes (eg, easyzipp -a -& a:\myzip myfile)
-^ (WinNT: "-^" or -^^) | Display command line on screen

Command Line Options for Unzipping Files

-e | Extract (ie, unzip) files in specified zip file (this option must always be used if EasyZipp is to unzip files, regardless of other options used)
-c | Display contents of the zip file
-cm | Display contents of files and don't allow text to scroll off screen
h (or -?) | Display help file
-n | Extract (unzip) only newer files
-o | Overwrite existing files without any prompts
-o- | Overwrite existing files without any prompt BUT, automatically replying NO to any overwrite prompt
-P | Extract with paths (will show sub-directories)
-s | Will prompt for password to enter to unzip file
-s[password] | Uses specified password to unzip file
-t | Tests the zip file
-v[b|t][r][m][c|d|e|n|o|p|s][f] | View the list of files in the zip file B (same usage as above when this option is used in a 'zip' mode of EasyZip)
-yp | Prompts "Press any key to continue..." when unzipping is finished
-^ (WinNT: "-^" or -^^) | Display command line on screen


Using EasyZip from Windows

EasyZip is well integrated with Windows. When you right-click on a file, you can zip it, unzip it, create a self-extracting file, or zip and e-mail the file. To use these features, EasyZip does not have to be running. Simply right-click any file, and you will be presented with a variety of options regarding zipping or unzipping the file.

Note: If, after installing EasyZip, you installed another company's zip program that took the file associations away from EasyZip, then this feature may not work. Go to EasyHelper to set file associations back to EasyZip so that the right-clicking features will work.

Right-clicking a File to Zip it

Right-click any normal file (that is NOT already a zip file). For example, perhaps you right-click a file called calendar.cm.

A small menu box will appear with the usual choices, such as Cut, Copy, Delete, and so on. The following choices will also appear in the menu box:

  • Add (or create) to a ZIP file: A default path and name (e.g., calendar.zip) is chosen for you, but you can change the path and name in the first dialog box that then pops up, as well as the compression method. Click OK and the zip file will be created. EasyZip will also open with this file, to allow you any further modifications.

  • Add to calendar.zip: This method of creating or adding to a zip file is quicker, but you cannot select the zip file name. The file calendar.cm will be added to the zip file calendar.zip.

  • Add to recent zip file: This will add the file (in this case, calendar.cm) to an existing zip file. It will show you the last 4 zip files created.

  • Zip and Email calendar.zip: This will zip the file (in this case, calendar.cm) and send it out by e-mail. Your default mail client, usually Outlook or Outlook Express, will be called, and calendar.zip will be attached to a blank e-mail.

  • Zip, Password and Email calendar.zip: This will zip and password-protect the file (in this case, calendar.cm) and send it out by e-mail. You will be prompted to confirm that you want it password-protected, and to enter the password.

Right-clicking a File to Unzip it

Right-click any zip file. For example, perhaps you right-click a file called myzip.zip.

A small menu box will appear with the usual choices, such as Cut, Copy, Delete, and so on. The following choices will also appear in the menu box:

  • Unzip to ...

  • Unzip to folder c:\my documents

  • Create Self-Extracting File (myzip.exe)

  • E-mail myzip.zip

Unzip to ...: The file (in this case, myzip.zip) will be unzipped to a location of your choice. EasyZip will then be started, with this file opened.

Unzip to folder c:\my documents: The file (myzip.zip) will automatically be unzipped to your My Documents folder.

Create Self-Extractor (myzip.exe): The file (myzip.zip) will be used to create the self-extracting file myzip.exe.

E-mail myzip.zip: The file (myzip.zip) will be sent out by e-mail. Your default mail client, usually Outlook or Outlook Express, will be called, and myzip.zip will be attached to a blank e-mail.


Can there be more than one file in a zipped file?

Yes.

Many users find this confusing. Often you will use EasyZip to zip a single file that is too large to fit onto a floppy disk. Your original file might be called ABC.TXT, and the compressed, zipped file produced might be called ABC.ZIP .

However, a zipped file can contain many files, even many folders. For example, you could zip together INCOME.TXT, SALES.TXT, REPORT1998.TXT all into one single zipped file, that perhaps was called INCOME.ZIP. When you later un-zip INCOME.ZIP, you will extract out of this file the original files, i.e., INCOME.TXT, SALES.TXT, and REPORT1998.TXT.

When you are zipping files with EasyZip you are not asked for the single file you want to zip, but instead, are asked for the files and folders you want to 'add' to your list to be zipped into a single zip file.


Do I need EasyZip to zip my EasyWord files?

Not really. EasyZip is already built into EasyWord. You can create zip files directly from EasyWord and you can read/retrieve and unzip files directly from EasyWord.


When I zip a file, is the original file destroyed?

No.

If you compressed ABC.TXT into a smaller file by zipping it, then ABC.ZIP would be produced. The original file ABC.TXT will remain intact.

When we talk about zipping files, it sounds like we are converting them to something else. This is true, but the original file is not affected, as zipping occurs on a copy of the file.


Is EasyZip compatible with other zip programs?

Yes.

Many zip programs (such as WinZip and PKZIP) produce zip files, and EasyZip will be able to unzip these files. Other programs will be able to unzip the zip files that EasyZip produces.